<!DOCTYPE html>
<html xmlns:th="http://thymeleaf.org"
th:replace="~{main-layout.html::main-fragment(~{::title},~{::#exempletymeleaf-main-content})}" 
>
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" th:href="@{/webjars/bootstrap/5.2.3/css/bootstrap.min.css}"/>
	<title>Exemple Thymeleaf</title>
</head>
<body>
    <div class="container-fluid" id="exempletymeleaf-main-content">
	<div class ="alert alert-primary"  th:text="${i}"> le texte statique </div>
	<h6>Accès à un objet</h6>
	<div th:text="|${john.prenom} ${john.nom}|"></div>
	<div th:text="|${john['prenom']} ${john['nom']}|"></div>
	<h6>Accès a un tableau ou une collection</h6>
	<div th:text="${tab[1]}"></div>
	<div th:text="${m['marcel']}"></div>
	<div th:text="${m.marcel}"></div>
	<h6>Concataination</h6>
	<p th:text="${john.prenom} + '  ' + ${john.nom}"/>
	<p th:text="|Bonjour, ${john.prenom} ${john.nom}|"/>
	<h6>URL</h6>
	<a class="btn btn-primary" th:href="@{/exemple/testmodel}">Exemple test model</a>
 	<a th:href="@{/exemple/testpath/{id1}(id1=${i})}">test path variable</a>
	<a th:href="@{/exemple/testparam(id1=${i})}">test param variable</a>
	
	<h6>Condition</h6>
	<div class="alert alert-secondary col-md-3" th:if="${val >23}">
	   <p>la valeur est supérieur à 23</p>
	</div>
	<div class="alert alert-danger col-md-3" th:unless="${val >23}">
       <p>la valeur est inférieure ou égale à 23</p>
    </div>
    <p th:text="${val!= -1}? ${val*3}" >
    <p th:text="${val!=-1}? ${val*3}: ' n\'existe pas'"> 
    
    <div th:switch="${val}">
        <p th:case="23">egal à 23</p>
        <p th:case="45">egal à 45</p>
        <p th:case="${i}">egal à i (42)</p>
        <p th:case="-1">egal à -1</p>
        <p th:case="*">autre valeur</p>
    </div> 
    
    <div th:text="${valhtml}" > </div>
    <div th:utext="${valhtml}" > </div>
    
    <table class="table">
	    <tr>
	    <th>ordre</th>
	    <th>prenom</th>
	    <th>nom</th>
	    </tr>
	    <tr th:class="${status.first}?'table-primary'"  th:each="per,status : ${personnes}">
	       
	       <td th:text=${status.index}>
	       <td th:text=${per.prenom}/>
           <td  th:text="${per.nom}"/>
        </tr>    
    </table>
    </div>
    <div th:insert="~{exemplefragment.html::exemplefooter}"></div>
    <div th:replace="~{exemplefragment.html::exemplefooter}"></div>
    
    
	<script src="@{/webjars/bootstrap/5.2.3/js/popper.min.js"></script>
	<script src="@{/webjars/bootstrap/5.2.3/js/bootstrap.min.js"></script>
</body>
</html>